scala.tools.nsc.typechecker.StructuredTypeStrings

# TypeNode

#### sealed abstract class TypeNode extends AnyRef

Source
  TypeStrings.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
MonoFunction, NullaryFunction, PolyFunction, TypeAtom, TypeEmpty, TypeList, TypeProduct
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TypeNode
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TypeNode()

### Abstract Value Members

1. #### abstract def grouping: Grouping

2. #### abstract def nodes: List[TypeNode]

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from TypeNode to any2stringadd[TypeNode] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (TypeNode, B)

   Implicit information
     This member is added by an implicit conversion from TypeNode to ArrowAssoc[TypeNode] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (TypeNode) ⇒ Boolean, msg: ⇒ Any): TypeNode

   Implicit information
     This member is added by an implicit conversion from TypeNode to Ensuring[TypeNode] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (TypeNode) ⇒ Boolean): TypeNode

   Implicit information
     This member is added by an implicit conversion from TypeNode to Ensuring[TypeNode] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): TypeNode

    Implicit information
      This member is added by an implicit conversion from TypeNode to Ensuring[TypeNode] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): TypeNode

    Implicit information
      This member is added by an implicit conversion from TypeNode to Ensuring[TypeNode] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from TypeNode to StringFormat[TypeNode] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def label: String

20. #### def mkPrefix(showLabel: Boolean): String

    Attributes
      protected

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def show(): String

25. #### def show(indent: Int): String

26. #### def show(indent: Int, showLabel: Boolean): String

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      TypeNode → AnyRef → Any

29. #### def typeName: String

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def withLabel(l: String): TypeNode.this.type

34. #### def withType(t: String): TypeNode.this.type

35. #### def →[B](y: B): (TypeNode, B)

    Implicit information
      This member is added by an implicit conversion from TypeNode to ArrowAssoc[TypeNode] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from TypeNode to any2stringadd[TypeNode]

### Inherited by implicit conversion StringFormat from TypeNode to StringFormat[TypeNode]

### Inherited by implicit conversion Ensuring from TypeNode to Ensuring[TypeNode]

### Inherited by implicit conversion ArrowAssoc from TypeNode to ArrowAssoc[TypeNode]

### Ungrouped